Subject: bug#24220: "failed to unpack source code" on guix pull

From: Pjotr Prins <[email-masked]>
Date: Sun, 14 Aug 2016 07:27:35 +0200

On Sat, Aug 13, 2016 at 06:05:17PM -0400, Harry Prevor wrote:
> Hey all,
> 
> I'm running GuixSD on a Thinkpad X200. I typically run 'guix pull'
> almost every day without any troubles, but about two days ago I
> started getting this error every time I ran the command leaving me
> unable to update my system:
> 
> >Starting download of /tmp/guix-file.JNdnA7
> >From
> >http://git.savannah.gnu.org/cgit/guix.git/snapshot/master.tar.gz...
> > ….tar.gz                                   1.4MiB/s 00:07 |
> >10.4MiB transferred
> >unpacking
> >'/gnu/store/q4zzpxpbbhwmwh4snisymlpf0p24ddk7-guix-latest.tar.gz'...
> >guix pull: error: failed to unpack source code
> 
> What's odd about this, is the actual file
> /gnu/store/q4z...-guix-latest.tar.gz, appears to be a valid targz
> archive, and I'm able to unpack and repack that using tar manually
> just fine. 'realpath $(which tar)' returns
> '/gnu/store/ggmmcw327ny831gqd7zvi3hpl5fm23mn-tar-1.28/bin/tar', and
> I've done some basic tests which do confirm that binary seems to
> work. I'm not having any network problems otherwise.
> 
> What can I do to further debug / fix this?
> 
> P.S. I'm not subscribed to bug-guix, so please CC me in any
> responses to this thread!

I also saw this bug yesterday. Reminds me how luxurious GNU Guix
normally is - for several things to fail at the same time is rare.